summaryrefslogtreecommitdiff
path: root/bin/extra/qrclip
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-06-09 18:21:35 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-06-09 18:21:35 +0200
commit02da333eb51cc5f7cfc28e194681db0e5f59d485 (patch)
tree8a6c6a629acceb22eb481ea97341c9f2a0f6cd9c /bin/extra/qrclip
parent1db03774f313f1d740cda3f7e4dbc05a50c75d15 (diff)
checkpoint
Diffstat (limited to 'bin/extra/qrclip')
-rwxr-xr-xbin/extra/qrclip12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/extra/qrclip b/bin/extra/qrclip
new file mode 100755
index 0000000..f9dc92e
--- /dev/null
+++ b/bin/extra/qrclip
@@ -0,0 +1,12 @@
+#!/bin/sh
+case $1 in
+ '-o')
+ qrencode -s 16 "$(clipo)" -o - |
+ imv -w "imv - $(clipo)" - ;;
+ '-s')
+ qrencode -s 16 "https://duckduckgo.com/$(clipo)" -o - |
+ imv -w "imv - search $(clipo)" - ;;
+ *)
+ >&2 printf 'qrclip [-s | -o]\n'
+ exit 1
+esac